<div *ngIf="isAuthenticated()" style="display:grid; grid-auto-flow:column; width: 60vw; height: fit-content; margin: auto;">
    <input type="text" placeholder="Search for a pokemon" style="width: 15vw; border: none" [formControl]="search">
    <div style="display:grid; grid-auto-flow: row;">
        <label>
            Only Rare
            <input type="checkbox" [formControl]="rare">
        </label>
        <select [formControl]="option">
            <option selected value="0">Show All</option>
            <option value="1">Show spotted</option>
            <option value="2">Show not spotted</option>
        </select>
    </div>
</div>
<div style="overflow:scroll;overflow-x: hidden; max-height: 90vh; z-index: -1;">
    <app-pokemon-list-item *ngFor="let pokemon of pokemons" [id]="pokemon.id" [name]="pokemon.name" [shiny]="false" [spotted]="pokemon.spotted" [rare]="pokemon.rare"></app-pokemon-list-item>
</div>
<div *ngIf="loading" style="display:grid; place-items: center;">
    <div class="spinner-border" style="width: 3rem; height: 3rem;" role="status">
        <span class="sr-only">Loading...</span>
      </div> 
</div>